
Foreman - Feature #218

Ability to search by class

04/19/2010 10:16 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice to be able to search by class.

A simple change to app/views/hosts/index.html.erb seems to achieve this:

diff foreman/app/views/hosts/index.html.erb fore1/app/views/hosts/index.html.erb

20a21,22

>           <%= f.label :puppetclasses, "Class" %>

>           <%= f.collection_select :puppetclasses_id_equals, Puppetclass.all, :id, :name, :includ

e_blank => true %>

Associated revisions

Revision 95a502b5 - 09/07/2010 08:07 AM - Paul Kelly

Fixes #218 - Search hosts by puppetclass

History

#1 - 05/30/2010 05:01 PM - Ohad Levy

- Category set to Web Interface

- Assignee set to Paul Kelly

- Target version set to 0.1-6

#2 - 09/07/2010 08:11 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to feature/218-search-by-puppetclass

Added this feature, as requested by bash shell, to the _search_line for hosts.

#3 - 09/08/2010 02:11 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset 95a502b56232ec2969764aa90f8bda7b7b433b69.

#4 - 09/12/2010 09:55 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#5 - 09/14/2010 07:37 PM - Bash Shell

I was just testing this.

It works if the Class was added to the host individually.

It doesn't work if the Class was included via Hostgroup.
Is there any way to address this?
